import Image

tw =  41
th = 32

nowidth = 8

def getcoord(index):
	x = (index*tw) % (nowidth*tw)
	y = (index / nowidth) * th + th*8
	return x, y

base = Image.open("base.png")

straight = Image.open("straight.png")
straightmask = Image.open("straightmask.png")

slope = Image.open("slope.png")
rise = Image.open("rise.png")
slopemask = Image.open("slopemask.png")
risemask = Image.open("risemask.png")

vertmask = Image.open("vertmask.png")
invertmask = Image.open("invertmask.png")

empty = Image.new('RGBA', (tw,th), (0,0,0,0))


result = Image.open("../media/railtiles.png")
#Image.new('RGBA', (tw*nowidth,th*64/nowidth), (0,0,0,0))

"""
tile = base.copy()
temp = Image.composite(slope, empty, smask)
tile.paste(temp, None, temp)
vmask = slopemask
result.paste(tile, getcoord(-1))
"""
for i in range(64):
	tile = base.copy()
	vmask = straightmask
	smask = slopemask
	rmask = risemask
	
	if i & 10 and i & 20:
		smask = vertmask
		rmask = invertmask
	if i & 2:
		temp = Image.composite(slope, empty, smask)
		tile.paste(temp, None, temp)
		vmask = slopemask
	if i & 4:
		temp = Image.composite(rise, empty, rmask)
		tile.paste(temp, None, temp)
		vmask = risemask
	if i & 8:
		temp = Image.composite(empty, rise, rmask)
		tile.paste(temp, None, temp)
		vmask = risemask
	if i & 16:
		temp = Image.composite(empty, slope, smask)
		tile.paste(temp, None, temp)
		vmask = slopemask
	if i & 1:
		temp = Image.composite(straight, empty, vmask)
		tile.paste(temp, None, temp)
		
	if i & 32:
		temp = Image.composite(empty, straight, vmask)
		tile.paste(temp, None, temp)
	result.paste(tile, getcoord(i))

result.save("railtiles.png", "")
