class Tile(object):
	def __init__(self, position):
		self.kind = "Tile"
		self.position = position
		self.isBuildable = True
		self.isBuilding = False
		self.isIndustry = False
		self.isGround = False
		self.tileValue = -1 
		self.neighbours = []

	
	def getClass(self):
		return self.__class__.__name__
		
class GrassGround(Tile):
	def __init__(self, position):
		Tile.__init__(self, position)
		self.kind = "Grass ground"
		self.isGround = True

class DirtGrassGround(Tile):
	def __init__(self, position):
		Tile.__init__(self, position)
		self.kind = "Dirt grass ground"
		self.isGround = True
		
class TreeGrassGround(Tile):
	def __init__(self, position):
		Tile.__init__(self, position)
		self.kind = "Tree grass ground"
		self.isGround = True
		
		
		
### Unbuildables
class Mountain(Tile):
	def __init__(self, position):
		Tile.__init__(self, position)
		self.kind = "Mountain"
		self.isGround = True
		self.isBuildable = False
		
		
		
class Water(Tile):
	def __init__(self, position):
		Tile.__init__(self, position)
		self.kind = "Water"
		self.isGround = True
		self.isBuildable = False
		
		
		