from pgu import gui
from pgu import high

class HighScoreDialog(gui.Dialog):
	def __init__(self,**params):
		title = gui.Label("Highscores")
		
		width = 300
		height = 200
		doc = gui.Document(width=width)
		
		space = title.style.font.size(" ")
		
		doc.block(align=0)
		for word in """Highscores!""".split(" "): 
			doc.add(gui.Label(word))
			doc.space(space)
		doc.br(space[1])
		
		hs = high.High("highscore.dat")
		t = gui.Table(width=300, height=150)
		t.tr()
		t.td( gui.Label("Place") )
		t.td( gui.Label("Score") )
		t.td( gui.Label("Name") )
		t.tr()
		t.td(gui.Spacer(1,10))
		place = 1
		for h in hs:
			t.tr()
			t.td(gui.Label(str(place)))
			t.td(gui.Label(str(h.score)))
			t.td(gui.Label(str(h.name)))
			place +=1
		doc.add(t)
		gui.Dialog.__init__(self, title, gui.ScrollArea(doc,width,height))
