from tile import Tile

import names

class Rail(Tile):
	def __init__(self, position):
		"""
		tiles is a list of the surrounding tiles, starting from the one
		above, and then going clockwise. The constructor checks these to 
		see if they are roads, and when that is done, determines which
		tile graphic it should use.
		After creating a Rail, call its updateTileValue method.
		"""
		
		Tile.__init__(self, position)
		self.kind = "Rail"
		self.position = position
				
		self.neighbours = [] 
		self.neighbourRails = [] 
		self.neighbourBuildings = []
		self.neighbourIndustries = []

		
		#self.industryNeighbour = None
		
		self.tileValue = 0
		

class Station(Rail):
	def __init__(self, position):
		Rail.__init__(self, position)
		self.kind = "Station"
		self.name = names.names.pop() + " " + self.kind
		print self.name
		self.name = names.getName()
		#self.isIndustry = True
		self.isBuilding = True
		
		
		